Bug 211522 - [NEW PORT]: net-mgmt/librenms-agent: librenms agents and plugins
Summary: [NEW PORT]: net-mgmt/librenms-agent: librenms agents and plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-02 07:55 UTC by kiwi
Modified: 2017-05-06 15:28 UTC (History)
1 user (show)

See Also:


Attachments
Librenms-agent port. (5.14 KB, text/plain)
2016-08-02 07:55 UTC, kiwi
no flags Details
Fixed PREFIX port (5.47 KB, text/plain)
2016-08-08 15:00 UTC, kiwi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kiwi 2016-08-02 07:55:44 UTC
Created attachment 173184 [details]
Librenms-agent port.

This port will install the librenms agent.
Comment 1 Pawel Pekala freebsd_committer 2016-08-05 19:22:10 UTC
(In reply to kiwi from comment #0)

Proposed port is not PREFIX safe, it will break if PREFIX!=/usr/local:

X+export MK_CONFDIR="/usr/local/etc/check_mk"

X+	server         = /usr/local/bin/check_mk_agent

X+plugdir=/usr/local/lib/check_mk_agent/plugins
X+repodir=/usr/local/lib/check_mk_agent/repo

Xdo-install:
X	cd ${STAGEDIR} ; \
X	${MKDIR} usr/local/etc/xinetd.d/ usr/local/lib/check_mk_agent/plugins usr/local/lib/check_mk_agent/repo usr/local/lib/check_mk_agent/local ; \
X	cd ${WRKSRC} ; \
X	${INSTALL_SCRIPT} check_mk_agent_freebsd ${STAGEDIR}/usr/local/bin/check_mk_agent ; \
X	${INSTALL_SCRIPT} mk_enplug ${STAGEDIR}/usr/local/bin/ ; \
X	${INSTALL_SCRIPT} check_mk_xinetd ${STAGEDIR}/usr/local/etc/xinetd.d/check_mk ; \
X	${INSTALL_SCRIPT}  snmp/distro ${STAGEDIR}/usr/local/bin ; \
X	for agent_local in $$( ${FIND} ./agent-local -type f ! -name README ); do \
X		${INSTALL_SCRIPT} "$$agent_local" ${STAGEDIR}/usr/local/lib/check_mk_agent/repo/ ; \
X	done

For details, please see:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-prefix.html
Comment 2 kiwi 2016-08-08 15:00:55 UTC
Created attachment 173410 [details]
Fixed PREFIX port
Comment 3 kiwi 2016-12-20 07:41:13 UTC
Ping ?
Comment 4 commit-hook freebsd_committer 2017-05-06 15:25:36 UTC
A commit references this bug:

Author: bapt
Date: Sat May  6 15:25:04 UTC 2017
New revision: 440276
URL: https://svnweb.freebsd.org/changeset/ports/440276

Log:
  librenms-agent is an agent based on check_mk used with xinetd to provide
  monitoring informations of machine to librenms server.

  WWW: https://github.com/librenms/librenms-agent

  PR:		211522
  Submitted by:	kiwi@oav.net

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/librenms-agent/
  head/net-mgmt/librenms-agent/Makefile
  head/net-mgmt/librenms-agent/distinfo
  head/net-mgmt/librenms-agent/files/
  head/net-mgmt/librenms-agent/files/patch-check__mk__agent__freebsd
  head/net-mgmt/librenms-agent/files/patch-check__mk__xinetd
  head/net-mgmt/librenms-agent/files/patch-mk__enplug
  head/net-mgmt/librenms-agent/pkg-descr
  head/net-mgmt/librenms-agent/pkg-plist
Comment 5 Baptiste Daroussin freebsd_committer 2017-05-06 15:28:26 UTC
Added:

Among the changes I have added 2 runtime dependencies: php cli and python2
more fixes for PREFIX support
Make license GPLv2 from what I read in the files it is GPLv2
fix shebangs